; compiler          : jal 00.04-50
; date              : 31-Dec-2002 17:34:34
; main source       : timer
; command line      : -casz -vtz -orsctd -s\jalcc\jal\lib timer.jal 
; target  chip      : 16f877
;         cpu       : pic 14
;         clock     : 4000000
; input   files     : 7
;         lines     : 2298
;         chars     : 68723
; compilation nodes : 16457
;             stack : 73Kb
;              heap : 5447Kb
;           seconds : 3.407 (674 lines/second)
; output       code : 1493
;              page :    0 (0.0%)
;              bank :    0 (0.0%)
;         page+bank :    0 (0.0%)
;              file :   36
;              stack:    5 (5,0,1)

 errorlevel -306
 list p=PIC16f877

; note: the f877 config is still fixed!
 __CONFIG H'3F72' 
 ORG 0000
  goto    __main
 ORG 0004
  movwf   H'7F'
  swapf   H'03',w
  clrf    H'03'
  movwf   H'20'
  movf    H'0A',w
  movwf   H'21'
  clrf    H'0A'
  movf    H'04',w
  movwf   H'22'
  goto    __interrupt
 ORG 000E
__interrupt: ; 000E
_12891__vector: ; 000E
p_12891_interrupt_handler: ; 000E
  bcf     H'0A',3
  bcf     H'0A',4

;; 056 :    if tmr1if then
  btfss   H'0C',0
  goto    if_12897_by
if_12897_th: ; 0012

;; 057 :       tmr1if = low
  bcf     H'0C',0

;; 058 :       f877_tmr1h = 0xCF  ; 0.1 seconds @ 4MHz
  movlw   H'CF'
  movwf   H'0F'

;; 059 :       f877_tmr1l = 0x29  ;
  movlw   H'29'
  movwf   H'0E'

;; 060 :       f877_t1con = 0x31	 ; prescaler divide by 8
  movlw   H'31'
  movwf   H'10'

;; 061 :       asm incf t_ms,f
  incf    H'36',f

;; 062 :       if t_ms == 10 then
  movf    H'36',w
  sublw   H'0A'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_12926_by
if_12926_th: ; 0020

;; 063 :          tic_s = high
  bsf     H'3A',1

;; 064 :          t_ms = 0
  clrf    H'36'

;; 065 :          asm incf t_s,f
  incf    H'37',f
if_12926_by: ; 0023

;; 067 :       if t_s == 60 then
  movf    H'37',w
  sublw   H'3C'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_12948_by
if_12948_th: ; 0029

;; 068 :          t_s = 0
  clrf    H'37'

;; 069 :          asm incf t_mn,f
  incf    H'38',f
if_12948_by: ; 002B

;; 071 :       if t_mn == 60 then
  movf    H'38',w
  sublw   H'3C'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_12965_by
if_12965_th: ; 0031

;; 072 :          t_mn = 0
  clrf    H'38'

;; 073 :          asm incf t_h,f
  incf    H'39',f
if_12965_by: ; 0033
if_12897_by: ; 0033
e_12891_interrupt_handler: ; 0033
  movf    H'22',w
  movwf   H'04'
  movf    H'21',w
  movwf   H'0A'
  swapf   H'20',w
  movwf   H'03'
  swapf   H'7F',f
  swapf   H'7F',w
  RETFIE  
__main: ; 003C
; var H'023:000'  transfer_bit
; var H'024:000'  transfer_byte

;; 039 : var volatile byte pcl          at  2
; var H'002:000' pcl

;; 040 : var volatile byte status       at  3
; var H'003:000' status

;; 045 : var volatile byte port_d       at  8
; var H'008:000' port_d

;; 049 : var volatile byte pclath       at 10
; var H'00A:000' pclath

;; 050 : var volatile byte intcon       at 11
; var H'00B:000' intcon

;; 052 : var volatile byte f877_tmr1l   at 0x0E
; var H'00E:000' f877_tmr1l

;; 053 : var volatile byte f877_tmr1h   at 0x0F
; var H'00F:000' f877_tmr1h

;; 054 : var volatile byte f877_t1con   at 0x10
; var H'010:000' f877_t1con

;; 060 : var volatile byte f877_pir1    at 0x0C
; var H'00C:000' f877_pir1

;; 062 : var volatile byte f877_pie1    at 0x8C
; var H'08C:000' f877_pie1

;; 117 : var volatile bit  pin_d6 at port_d : 6
; var H'008:006' pin_d6

;; 118 : var volatile bit  pin_d7 at port_d : 7
; var H'008:007' pin_d7

;; 130 : var volatile bit  status_rp0  at status : 5
; var H'003:005' status_rp0

;; 135 : var volatile bit  intcon_gie  at intcon : 7
; var H'00B:007' intcon_gie

;; 137 : var volatile bit  intcon_peie at intcon : 6
; var H'00B:006' intcon_peie

;; 151 : var volatile bit  tmr1on at f877_t1con  : 0
; var H'010:000' tmr1on

;; 158 : var volatile bit  tmr1ie at f877_pie1   : 0
; var H'08C:000' tmr1ie

;; 159 : var volatile bit  tmr1if at f877_pir1   : 0
; var H'00C:000' tmr1if

;; 276 : var byte trisa
; var H'025:000' trisa

;; 277 : var byte trisb
; var H'026:000' trisb

;; 278 : var byte trisc
; var H'027:000' trisc

;; 279 : var byte trisd
; var H'028:000' trisd

;; 280 : var byte trise
; var H'029:000' trise

;; 284 : trisa = all_input
  movlw   H'FF'
  movwf   H'25'

;; 286 :    trisb = all_input
  movlw   H'FF'
  movwf   H'26'

;; 289 :    trisc = all_input
  movlw   H'FF'
  movwf   H'27'

;; 292 :    trisd = all_input
  movlw   H'FF'
  movwf   H'28'

;; 293 :    trise = 0x0F -- high nibble has other functions!
  movlw   H'0F'
  movwf   H'29'

;; 581 : var byte _port_b_buffer
; var H'02A:000' _port_b_buffer

;; 088 : var bit mdm_auto_update = true
; var H'023:001' mdm_auto_update
  bsf     H'23',1

;; 091 : var byte mdm_segments_1a, mdm_segments_1b
; var H'02B:000' mdm_segments_1a
; var H'02C:000' mdm_segments_1b

;; 092 : var byte mdm_segments_2a, mdm_segments_2b
; var H'02D:000' mdm_segments_2a
; var H'02E:000' mdm_segments_2b

;; 093 : var byte mdm_segments_3a, mdm_segments_3b
; var H'02F:000' mdm_segments_3a
; var H'030:000' mdm_segments_3b

;; 094 : var byte mdm_segments_4a, mdm_segments_4b
; var H'031:000' mdm_segments_4a
; var H'032:000' mdm_segments_4b

;; 095 : var byte mdm_segments_5a, mdm_segments_5b
; var H'033:000' mdm_segments_5a
; var H'034:000' mdm_segments_5b

;; 205 : var byte mdm_cursor_position
; var H'035:000' mdm_cursor_position

;; 393 : mdm_init
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10806__vector

;; 394 : mdm_clear
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10698__vector

;; 042 : var byte t_ms = 0 , t_s = 0 , t_mn = 0 , t_h = 0   -- counters
; var H'036:000' t_ms
  clrf    H'36'
; var H'037:000' t_s
  clrf    H'37'
; var H'038:000' t_mn
  clrf    H'38'
; var H'039:000' t_h
  clrf    H'39'

;; 043 : var byte tics = 0                                                  ; flags
; var H'03A:000' tics
  clrf    H'3A'

;; 045 : var volatile bit tic_s at tics : 1
; var H'03A:001' tic_s

;; 049 : pin_d6_direction = input
  bsf     H'28',6
  bcf     H'0A',3
  bcf     H'0A',4
  call    _4089__vector

;; 050 : var volatile bit start_stop is pin_d6
; var H'008:006' start_stop

;; 051 : pin_d7_direction = input
  bsf     H'28',7
  bcf     H'0A',3
  bcf     H'0A',4
  call    _4118__vector

;; 052 : var volatile bit reset is pin_d7
; var H'008:007' reset

;; 078 : f877_tmr1h = 0xCF
  movlw   H'CF'
  movwf   H'0F'

;; 079 : f877_tmr1l = 0x29
  movlw   H'29'
  movwf   H'0E'

;; 080 : f877_t1con = 0x30
  movlw   H'30'
  movwf   H'10'

;; 081 : status_rp0 = high
  bsf     H'03',5

;; 082 : tmr1ie = high
  bsf     H'8C',0

;; 083 : status_rp0 = low
  bcf     H'03',5

;; 084 : intcon_peie= high
  bsf     H'0B',6

;; 085 : intcon_gie = high
  bsf     H'0B',7

;; 087 : tic_s = high     -- force display update
  bsf     H'3A',1

;; 089 : forever loop
w_13253_ag: ; 0066
  bcf     H'0A',3
  bcf     H'0A',4

;; 091 : if ! start_stop  then
  btfsc   H'08',6
  goto    if_13039_el
if_13039_th: ; 006A

;; 092 :    delay_50ms ( 1 )
  movlw   H'01'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _12483__vector
  bcf     H'0A',3
  bcf     H'0A',4

;; 093 :      if ! start_stop then
  btfsc   H'08',6
  goto    if_13056_by
if_13056_th: ; 0072

;; 094 :          tmr1on = low  -- stop the timer
  bcf     H'10',0
if_13056_by: ; 0073
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_13039_by
if_13039_el: ; 0076
  bcf     H'0A',3
  bcf     H'0A',4

;; 096 : elsif start_stop then
  btfss   H'08',6
  goto    if_13066_by
if_13066_th: ; 007A

;; 097 :       tmr1on = high  -- start the timer
  bsf     H'10',0
if_13066_by: ; 007B
if_13039_by: ; 007B
  bcf     H'0A',3
  bcf     H'0A',4

;; 100 :    if ! reset then    -- Clear display
  btfsc   H'08',7
  goto    if_13075_by
if_13075_th: ; 007F

;; 101 :       delay_50ms ( 1 )
  movlw   H'01'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _12483__vector
  bcf     H'0A',3
  bcf     H'0A',4

;; 102 :       if ! reset then
  btfsc   H'08',7
  goto    if_13092_by
if_13092_th: ; 0087

;; 103 :          t_h = 0
  clrf    H'39'

;; 104 :          t_mn = 0
  clrf    H'38'

;; 105 :          t_s = 0
  clrf    H'37'

;; 106 :          t_ms = 0
  clrf    H'36'

;; 107 :          tic_s = high     -- force display update
  bsf     H'3A',1
if_13092_by: ; 008C
if_13075_by: ; 008C
  bcf     H'0A',3
  bcf     H'0A',4

;; 111 :    if tic_s then       -- update as the seconds increment
  btfss   H'3A',1
  goto    if_13127_by
if_13127_th: ; 0090

;; 112 :       mdm_write_1 ( ( t_h ) + "0" )
  movf    H'39',w
  addlw   H'30'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10518__vector

;; 113 :       mdm_write_2 ( ":" )
  movlw   H'3A'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10554__vector
; var H'03C:000' sq_temp_13159

;; 114 :       mdm_write_2 ( ( t_mn / 10 ) + "0" )
  movf    H'38',w
  movwf   H'3D'
  movlw   H'0A'
  movwf   H'3E'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _639__vector
  movf    H'3F',w
  movwf   H'3C'
  movf    H'3C',w
  addlw   H'30'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10554__vector
; var H'03C:000' sq_temp_13178

;; 115 :       mdm_write_3 ( ( t_mn % 10 ) + "0" )
  movf    H'38',w
  movwf   H'3D'
  movlw   H'0A'
  movwf   H'3E'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _702__vector
  movf    H'3F',w
  movwf   H'3C'
  movf    H'3C',w
  addlw   H'30'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10590__vector

;; 116 :       mdm_write_4 ( ":" )
  movlw   H'3A'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10626__vector
; var H'03C:000' sq_temp_13210

;; 117 :       mdm_write_4 ( ( t_s / 10 ) + "0" )
  movf    H'37',w
  movwf   H'3D'
  movlw   H'0A'
  movwf   H'3E'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _639__vector
  movf    H'3F',w
  movwf   H'3C'
  movf    H'3C',w
  addlw   H'30'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10626__vector
; var H'03C:000' sq_temp_13229

;; 118 :       mdm_write_5 ( ( t_s % 10 ) + "0" )
  movf    H'37',w
  movwf   H'3D'
  movlw   H'0A'
  movwf   H'3E'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _702__vector
  movf    H'3F',w
  movwf   H'3C'
  movf    H'3C',w
  addlw   H'30'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _10662__vector

;; 119 :       tic_s = low
  bcf     H'3A',1
if_13127_by: ; 00D6
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_13253_ag

;; 003 :   idle_loop: page goto idle_loop
as_13256_idle_loop: ; 00D9
  bcf     H'0A',3
  bcf     H'0A',4
  goto    as_13256_idle_loop
_12483__vector: ; 00DC

;; 402 : procedure delay_50ms( byte in x = 1 ) is
; var H'03B:000' x
p_12483_delay_50ms: ; 00DC
  movwf   H'3B'

;; 403 :    _delay_100us( x, 100, 5 )
  movf    H'3B',w
  movwf   H'3C'
  movlw   H'64'
  movwf   H'3D'
  movlw   H'05'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _11732__vector
e_12483_delay_50ms: ; 00E5
_11732__vector: ; 00E5

;; 230 : procedure _delay_100us( byte in x, byte in y, byte in z ) is
; var H'03C:000' x
; var H'03D:000' y
; var H'03E:000' z
p_11732__delay_100us: ; 00E5
  movwf   H'3E'

;; 284 :       var byte minus_one = -1
; var H'03F:000' minus_one
  movlw   H'FFFFFFFF'
  movwf   H'3F'

;; 286 :       var byte xx, yy
; var H'040:000' xx
; var H'041:000' yy

;; 290 :          local loop_x, loop_y, loop_z, loop_w
; const H'0EF' loop_w

;; 293 :       loop_z:
as_11933_loop_z: ; 00E8

;; 296 :          movfw y
  movf    H'3D',w

;; 297 :          movwf yy
  movwf   H'41'

;; 298 :       loop_y:
as_11930_loop_y: ; 00EA

;; 301 :          movfw x
  movf    H'3C',w

;; 302 :          movwf xx
  movwf   H'40'

;; 303 :       loop_x:
as_11927_loop_x: ; 00EC

;; 305 :          movlw inner_iterations
  movlw   H'17'

;; 306 :          page loop_w
  bcf     H'0A',3
  bcf     H'0A',4

;; 307 :       loop_w:
as_11936_loop_w: ; 00EF

;; 308 :          addwf minus_one, w
  addwf   H'3F',w

;; 309 :          skpnc
  skpnc   

;; 310 :             goto loop_w
  goto    as_11936_loop_w

;; 312 :          page loop_x
  bcf     H'0A',3
  bcf     H'0A',4

;; 313 :          decfsz xx, f
  decfsz  H'40',f

;; 314 :          goto loop_x
  goto    as_11927_loop_x

;; 316 :          page loop_y
  bcf     H'0A',3
  bcf     H'0A',4

;; 317 :          decfsz yy, f
  decfsz  H'41',f

;; 318 :          goto loop_y
  goto    as_11930_loop_y

;; 320 :          page loop_z
  bcf     H'0A',3
  bcf     H'0A',4

;; 321 :          decfsz z, f
  decfsz  H'3E',f

;; 322 :          goto loop_z
  goto    as_11933_loop_z
e_11732__delay_100us: ; 00FE
  return  
_10806__vector: ; 00FF
p_10806_mdm_init: ; 00FF

;; 384 :    mdm_pin_load   = low
  bcf     H'2A',2
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6122__vector

;; 385 :    mdm_pin_data   = low
  bcf     H'2A',4
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6180__vector

;; 386 :    mdm_pin_clock  = low   
  bcf     H'2A',5
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6209__vector

;; 387 :    mdm_pin_load_direction   = output
  bcf     H'26',2
  bcf     H'0A',3
  bcf     H'0A',4
  call    _3381__vector

;; 388 :    mdm_pin_data_direction   = output
  bcf     H'26',4
  bcf     H'0A',3
  bcf     H'0A',4
  call    _3439__vector

;; 389 :    mdm_pin_clock_direction  = output
  bcf     H'26',5
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _3468__vector
e_10806_mdm_init: ; 0117
_10698__vector: ; 0117
p_10698_mdm_clear: ; 0117

;; 362 :    mdm_all( off )   
  bcf     H'23',2
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8734__vector

;; 363 :    mdm_cursor_position = 1
  movlw   H'01'
  movwf   H'35'
e_10698_mdm_clear: ; 011D
  return  
_10662__vector: ; 011E

;; 356 : procedure mdm_write_5( byte in c ) is 
; var H'03B:000' c
p_10662_mdm_write_5: ; 011E
  movwf   H'3B'

;; 357 :    mdm_write_p( 5, c ) 
  movlw   H'05'
  movwf   H'3D'
  movf    H'3B',w
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _10215__vector
e_10662_mdm_write_5: ; 0125
_10626__vector: ; 0125

;; 353 : procedure mdm_write_4( byte in c ) is 
; var H'03B:000' c
p_10626_mdm_write_4: ; 0125
  movwf   H'3B'

;; 354 :    mdm_write_p( 4, c ) 
  movlw   H'04'
  movwf   H'3D'
  movf    H'3B',w
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _10215__vector
e_10626_mdm_write_4: ; 012C
_10590__vector: ; 012C

;; 350 : procedure mdm_write_3( byte in c ) is 
; var H'03B:000' c
p_10590_mdm_write_3: ; 012C
  movwf   H'3B'

;; 351 :    mdm_write_p( 3, c ) 
  movlw   H'03'
  movwf   H'3D'
  movf    H'3B',w
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _10215__vector
e_10590_mdm_write_3: ; 0133
_10554__vector: ; 0133

;; 347 : procedure mdm_write_2( byte in c ) is 
; var H'03B:000' c
p_10554_mdm_write_2: ; 0133
  movwf   H'3B'

;; 348 :    mdm_write_p( 2, c ) 
  movlw   H'02'
  movwf   H'3D'
  movf    H'3B',w
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _10215__vector
e_10554_mdm_write_2: ; 013A
_10518__vector: ; 013A

;; 344 : procedure mdm_write_1( byte in c ) is 
; var H'03B:000' c
p_10518_mdm_write_1: ; 013A
  movwf   H'3B'

;; 345 :    mdm_write_p( 1, c ) 
  movlw   H'01'
  movwf   H'3D'
  movf    H'3B',w
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _10215__vector
e_10518_mdm_write_1: ; 0141
_10215__vector: ; 0141

;; 273 : procedure mdm_write_p( byte in p, byte in c ) is
; var H'03D:000' p
; var H'03E:000' c
p_10215_mdm_write_p: ; 0141
  movwf   H'3E'

;; 274 :    var byte segments_a, segments_b  
; var H'03F:000' segments_a
; var H'040:000' segments_b

;; 276 :    if p == 1 then 
  movf    H'3D',w
  sublw   H'01'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10238_el
if_10238_th: ; 0148

;; 277 :       segments_a = mdm_segments_1a
  movf    H'2B',w
  movwf   H'3F'

;; 278 :       segments_b = mdm_segments_1b
  movf    H'2C',w
  movwf   H'40'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10238_by
if_10238_el: ; 014F

;; 280 :    elsif p == 2 then 
  movf    H'3D',w
  sublw   H'02'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10253_el
if_10253_th: ; 0155

;; 281 :       segments_a = mdm_segments_2a
  movf    H'2D',w
  movwf   H'3F'

;; 282 :       segments_b = mdm_segments_2b
  movf    H'2E',w
  movwf   H'40'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10253_by
if_10253_el: ; 015C

;; 284 :    elsif p == 3 then 
  movf    H'3D',w
  sublw   H'03'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10268_el
if_10268_th: ; 0162

;; 285 :       segments_a = mdm_segments_3a
  movf    H'2F',w
  movwf   H'3F'

;; 286 :       segments_b = mdm_segments_3b
  movf    H'30',w
  movwf   H'40'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10268_by
if_10268_el: ; 0169

;; 288 :    elsif p == 4 then 
  movf    H'3D',w
  sublw   H'04'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10283_el
if_10283_th: ; 016F

;; 289 :       segments_a = mdm_segments_4a
  movf    H'31',w
  movwf   H'3F'

;; 290 :       segments_b = mdm_segments_4b
  movf    H'32',w
  movwf   H'40'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10283_by
if_10283_el: ; 0176

;; 292 :    elsif p == 5 then 
  movf    H'3D',w
  sublw   H'05'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10298_by
if_10298_th: ; 017C

;; 293 :       segments_a = mdm_segments_5a
  movf    H'33',w
  movwf   H'3F'

;; 294 :       segments_b = mdm_segments_5b
  movf    H'34',w
  movwf   H'40'
if_10298_by: ; 0180
if_10283_by: ; 0180
if_10268_by: ; 0180
if_10253_by: ; 0180
if_10238_by: ; 0180

;; 298 :    if c == "," then
  movf    H'3E',w
  sublw   H'2C'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10314_el
if_10314_th: ; 0186

;; 299 :       segments_a = segments_a & ! 0b_0000_0001
  movlw   H'FFFFFFFE'
  andwf   H'3F',f

;; 300 :       segments_b = segments_b & ! 0b_0000_0001
  movlw   H'FFFFFFFE'
  andwf   H'40',f
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10314_by
if_10314_el: ; 018D

;; 303 :       c = c & 0b_0111_1111 -- tables are 128 entries only, so clear highest bit
  movlw   H'7F'
  andwf   H'3E',f

;; 304 :       var byte a =  mdm_lookup_a( c )  
; var H'041:000' a
  movf    H'3E',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8821__vector
  movwf   H'41'

;; 305 :       var byte b =  mdm_lookup_b( c )  
; var H'042:000' b
  movf    H'3E',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _9518__vector
  movwf   H'42'

;; 308 :       if ( ( a | b ) & 0b_0000_0001 ) == 0 then
  movf    H'41',w
  iorwf   H'42',w
  andlw   H'01'
  sublw   H'00'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10384_by
if_10384_th: ; 01A1

;; 309 :          mdm_cursor_position = mdm_cursor_position + 1
  incf    H'35',f
if_10384_by: ; 01A2

;; 313 :       segments_a = ( segments_a & 0b_0000_0001 ) | a
  movf    H'3F',w
  andlw   H'01'
  iorwf   H'41',w
  movwf   H'3F'

;; 314 :       segments_b = ( segments_b & 0b_0000_0001 ) | b
  movf    H'40',w
  andlw   H'01'
  iorwf   H'42',w
  movwf   H'40'
if_10314_by: ; 01AA

;; 317 :    if p == 1 then 
  movf    H'3D',w
  sublw   H'01'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10427_el
if_10427_th: ; 01B0

;; 318 :       mdm_segments_1a = segments_a
  movf    H'3F',w
  movwf   H'2B'

;; 319 :       mdm_segments_1b = segments_b
  movf    H'40',w
  movwf   H'2C'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10427_by
if_10427_el: ; 01B7

;; 321 :    elsif p == 2 then 
  movf    H'3D',w
  sublw   H'02'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10442_el
if_10442_th: ; 01BD

;; 322 :       mdm_segments_2a = segments_a
  movf    H'3F',w
  movwf   H'2D'

;; 323 :       mdm_segments_2b = segments_b
  movf    H'40',w
  movwf   H'2E'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10442_by
if_10442_el: ; 01C4

;; 325 :    elsif p == 3 then 
  movf    H'3D',w
  sublw   H'03'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10457_el
if_10457_th: ; 01CA

;; 326 :       mdm_segments_3a = segments_a
  movf    H'3F',w
  movwf   H'2F'

;; 327 :       mdm_segments_3b = segments_b
  movf    H'40',w
  movwf   H'30'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10457_by
if_10457_el: ; 01D1

;; 329 :    elsif p == 4 then 
  movf    H'3D',w
  sublw   H'04'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10472_el
if_10472_th: ; 01D7

;; 330 :       mdm_segments_4a = segments_a
  movf    H'3F',w
  movwf   H'31'

;; 331 :       mdm_segments_4b = segments_b
  movf    H'40',w
  movwf   H'32'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_10472_by
if_10472_el: ; 01DE

;; 333 :    elsif p == 5 then 
  movf    H'3D',w
  sublw   H'05'
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    if_10487_by
if_10487_th: ; 01E4

;; 334 :       mdm_segments_5a = segments_a
  movf    H'3F',w
  movwf   H'33'

;; 335 :       mdm_segments_5b = segments_b
  movf    H'40',w
  movwf   H'34'
if_10487_by: ; 01E8
if_10472_by: ; 01E8
if_10457_by: ; 01E8
if_10442_by: ; 01E8
if_10427_by: ; 01E8
  bcf     H'0A',3
  bcf     H'0A',4

;; 338 :    if mdm_auto_update then 
  btfss   H'23',1
  goto    if_10503_by
if_10503_th: ; 01EC

;; 339 :       mdm_update_from_segments
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8495__vector
if_10503_by: ; 01EF
e_10215_mdm_write_p: ; 01EF
  return  
_9518__vector: ; 01F0

;; 179 : function mdm_lookup_b( byte in c ) return byte is
; var H'043:000' c
p_9518_mdm_lookup_b: ; 01F0
  movwf   H'43'

;; 181 :       local table_start
; const H'1F9' table_start

;; 182 :       hpage table_start  
  movlw   H'01'

;; 183 :       movwf PCLATH
  movwf   H'0A'

;; 185 :       movfw PCL
  movf    H'02',w

;; 186 :       addlw 5
  addlw   H'05'

;; 187 :       addwf c, w
  addwf   H'43',w

;; 188 :       skpnc
  skpnc   

;; 189 :          incf PCLATH, f
  incf    H'0A',f

;; 190 :       movwf PCL
  movwf   H'02'

;; 191 :    table_start:      
as_9536_table_start: ; 01F9

;; 193 :       RETLW   0b_00000000  --  0x00   000   blank 
  retlw   H'00'

;; 194 :       RETLW   0b_11100010  --  0x01   001   o (degree)
  retlw   H'E2'

;; 195 :       RETLW   0b_00011110  --  0x02   002   o (lower case o) 
  retlw   H'1E'

;; 196 :       RETLW   0b_01000010  --  0x03   003   ohm 
  retlw   H'42'

;; 197 :       RETLW   0b_00011100  --  0x04   004   u 
  retlw   H'1C'

;; 198 :       RETLW   0b_01001010  --  0x05   005   # (pound) 
  retlw   H'4A'

;; 199 :       RETLW   0b_00010110  --  0x06   006   m 
  retlw   H'16'

;; 200 :       RETLW   0b_00000000  --  0x07   007   blank 
  retlw   H'00'

;; 201 :       RETLW   0b_00000000  --  0x08   008   blank 
  retlw   H'00'

;; 202 :       RETLW   0b_00000000  --  0x09   009   blank 
  retlw   H'00'

;; 203 :       RETLW   0b_00000000  --  0x0A   010   blank 
  retlw   H'00'

;; 204 :       RETLW   0b_00000000  --  0x0B   011   blank 
  retlw   H'00'

;; 205 :       RETLW   0b_00000000  --  0x0C   012   blank 
  retlw   H'00'

;; 206 :       RETLW   0b_00000000  --  0x0D   013   blank 
  retlw   H'00'

;; 207 :       RETLW   0b_00000000  --  0x0E   014   blank 
  retlw   H'00'

;; 208 :       RETLW   0b_00000000  --  0x0F   015   blank 
  retlw   H'00'

;; 209 :       RETLW   0b_00000000  --  0x10   016   blank 
  retlw   H'00'

;; 210 :       RETLW   0b_00000000  --  0x11   017   blank 
  retlw   H'00'

;; 211 :       RETLW   0b_00000000  --  0x12   018   blank 
  retlw   H'00'

;; 212 :       RETLW   0b_00000000  --  0x13   019   blank 
  retlw   H'00'

;; 213 :       RETLW   0b_00000000  --  0x14   020   blank 
  retlw   H'00'

;; 214 :       RETLW   0b_00000000  --  0x15   021   blank 
  retlw   H'00'

;; 215 :       RETLW   0b_00000000  --  0x16   022   blank 
  retlw   H'00'

;; 216 :       RETLW   0b_00000000  --  0x17   023   blank 
  retlw   H'00'

;; 217 :       RETLW   0b_00000000  --  0x18   024   blank 
  retlw   H'00'

;; 218 :       RETLW   0b_00000000  --  0x19   025   blank 
  retlw   H'00'

;; 219 :       RETLW   0b_00000000  --  0x1A   026   blank 
  retlw   H'00'

;; 220 :       RETLW   0b_00000000  --  0x1B   027   blank 
  retlw   H'00'

;; 221 :       RETLW   0b_00000000  --  0x1C   028   blank 
  retlw   H'00'

;; 222 :       RETLW   0b_00000000  --  0x1D   029   blank 
  retlw   H'00'

;; 223 :       RETLW   0b_00000000  --  0x1E   030   blank 
  retlw   H'00'

;; 224 :       RETLW   0b_00000000  --  0x1F   031   blank   
  retlw   H'00'

;; 225 :       RETLW   0b_00000000  --  0x20   032   space
  retlw   H'00'

;; 226 :       RETLW   0b_01001000  --  0x21   033   !
  retlw   H'48'

;; 227 :       RETLW   0b_01000000  --  0x22   034   " 
  retlw   H'40'

;; 228 :       RETLW   0b_01001010  --  0x23   035   #
  retlw   H'4A'

;; 229 :       RETLW   0b_01001010  --  0x24   036   $
  retlw   H'4A'

;; 230 :       RETLW   0b_11001110  --  0x25   037   %
  retlw   H'CE'

;; 231 :       RETLW   0b_01001000  --  0x26   038   &
  retlw   H'48'

;; 232 :       RETLW   0b_01000000  --  0x27   039   '
  retlw   H'40'

;; 233 :       RETLW   0b_10010000  --  0x28   040   (  
  retlw   H'90'

;; 234 :       RETLW   0b_00100100  --  0x29   041   ) 
  retlw   H'24'

;; 235 :       RETLW   0b_11111110  --  0x2A   042   * 
  retlw   H'FE'

;; 236 :       RETLW   0b_01001010  --  0x2B   043   +
  retlw   H'4A'

;; 237 :       RETLW   0b_00000000  --  0x2C   044   , clears dots)
  retlw   H'00'

;; 238 :       RETLW   0b_00000010  --  0x2D   045   -
  retlw   H'02'

;; 239 :       RETLW   0b_00000000  --  0x2E   046   .
  retlw   H'00'

;; 240 :       RETLW   0b_10000100  --  0x2F   047   /
  retlw   H'84'

;; 241 :       RETLW   0b_00000000  --  0x30   048   0  
  retlw   H'00'

;; 242 :       RETLW   0b_00000000  --  0x31   049   1  
  retlw   H'00'

;; 243 :       RETLW   0b_00000010  --  0x32   050   2  
  retlw   H'02'

;; 244 :       RETLW   0b_00000010  --  0x33   051   3  
  retlw   H'02'

;; 245 :       RETLW   0b_00000010  --  0x34   052   4  
  retlw   H'02'

;; 246 :       RETLW   0b_00000010  --  0x35   053   5  
  retlw   H'02'

;; 247 :       RETLW   0b_00000010  --  0x36   054   6  
  retlw   H'02'

;; 248 :       RETLW   0b_00000000  --  0x37   055   7  
  retlw   H'00'

;; 249 :       RETLW   0b_00000010  --  0x38   056   8  
  retlw   H'02'

;; 250 :       RETLW   0b_00000010  --  0x39   057   9  
  retlw   H'02'

;; 251 :       RETLW   0b_00000001  --  0x3A   058   :  
  retlw   H'01'

;; 252 :       RETLW   0b_00000001  --  0x3B   059   ;
  retlw   H'01'

;; 253 :       RETLW   0b_10010000  --  0x3C   060   <  
  retlw   H'90'

;; 254 :       RETLW   0b_00000010  --  0x3D   061   =  
  retlw   H'02'

;; 255 :       RETLW   0b_00100100  --  0x3E   062   >  
  retlw   H'24'

;; 256 :       RETLW   0b_00001010  --  0x3F   063   ?  
  retlw   H'0A'

;; 257 :       RETLW   0b_01000010  --  0x40   064   @  
  retlw   H'42'

;; 258 :       RETLW   0b_00000010  --  0x41   065   A  
  retlw   H'02'

;; 259 :       RETLW   0b_01001010  --  0x42   066   B  
  retlw   H'4A'

;; 260 :       RETLW   0b_00000000  --  0x43   067   C  
  retlw   H'00'

;; 261 :       RETLW   0b_01001000  --  0x44   068   D  
  retlw   H'48'

;; 262 :       RETLW   0b_00000000  --  0x45   069   E  
  retlw   H'00'

;; 263 :       RETLW   0b_00000000  --  0x46   070   F  
  retlw   H'00'

;; 264 :       RETLW   0b_00000010  --  0x47   071   G  
  retlw   H'02'

;; 265 :       RETLW   0b_00000010  --  0x48   072   H  
  retlw   H'02'

;; 266 :       RETLW   0b_01001000  --  0x49   073   I          
  retlw   H'48'

;; 267 :       RETLW   0b_00000000  --  0x5A   074   J 
  retlw   H'00'

;; 268 :       RETLW   0b_10010000  --  0x5B   075   K  
  retlw   H'90'

;; 269 :       RETLW   0b_00000000  --  0x5C   076   L  
  retlw   H'00'

;; 270 :       RETLW   0b_10100000  --  0x5D   077   M  
  retlw   H'A0'

;; 271 :       RETLW   0b_00110000  --  0x5E   078   N  
  retlw   H'30'

;; 272 :       RETLW   0b_00000000  --  0x5F   079   O  
  retlw   H'00'

;; 273 :       RETLW   0b_00000010  --  0x60   080   P  
  retlw   H'02'

;; 274 :       RETLW   0b_00010000  --  0x61   081   Q  
  retlw   H'10'

;; 275 :       RETLW   0b_00010010  --  0x62   082   R  
  retlw   H'12'

;; 276 :       RETLW   0b_00000010  --  0x63   083   S  
  retlw   H'02'

;; 277 :       RETLW   0b_01001000  --  0x64   084   T  
  retlw   H'48'

;; 278 :       RETLW   0b_0000000   --  0x65   085   U  
  retlw   H'00'

;; 279 :       RETLW   0b_10000100  --  0x66   086   V  
  retlw   H'84'

;; 280 :       RETLW   0b_00001000  --  0x67   087   W  
  retlw   H'08'

;; 281 :       RETLW   0b_10110100  --  0x68   088   X  
  retlw   H'B4'

;; 282 :       RETLW   0b_10101000  --  0x69   089   Y  
  retlw   H'A8'

;; 283 :       RETLW   0b_10000100  --  0x6A   090   Z  
  retlw   H'84'

;; 284 :       RETLW   0b_00000000  --  0x6B   091   [  
  retlw   H'00'

;; 285 :       RETLW   0b_00110000  --  0x6C   092   \  
  retlw   H'30'

;; 286 :       RETLW   0b_00000000  --  0x6D   093   ] 
  retlw   H'00'

;; 287 :       RETLW   0b_10100000  --  0x6E   094   ^ 
  retlw   H'A0'

;; 288 :       RETLW   0b_00000000  --  0x6F   095   _        
  retlw   H'00'

;; 289 :       RETLW   0b_00100000  --  0x60   096   `
  retlw   H'20'

;; 290 :       RETLW   0b_00000010  --  0x61   097   a
  retlw   H'02'

;; 291 :       RETLW   0b_00000010  --  0x62   098   b
  retlw   H'02'

;; 292 :       RETLW   0b_00000010  --  0x63   099   c
  retlw   H'02'

;; 293 :       RETLW   0b_00000010  --  0x64   100   d
  retlw   H'02'

;; 294 :       RETLW   0b_00000010  --  0x65   101   e
  retlw   H'02'

;; 295 :       RETLW   0b_00000000  --  0x66   102   f
  retlw   H'00'

;; 296 :       RETLW   0b_00000010  --  0x67   103   g
  retlw   H'02'

;; 297 :       RETLW   0b_00001000  --  0x68   104   h
  retlw   H'08'

;; 298 :       RETLW   0b_00001010  --  0x69   105   i
  retlw   H'0A'

;; 299 :       RETLW   0b_00000000  --  0x6A   106   j
  retlw   H'00'

;; 300 :       RETLW   0b_00010010  --  0x6B   107   k
  retlw   H'12'

;; 301 :       RETLW   0b_00000000  --  0x6C   108   l
  retlw   H'00'

;; 302 :       RETLW   0b_00001010  --  0x6D   109   m
  retlw   H'0A'

;; 303 :       RETLW   0b_00001000  --  0x6E   110   n
  retlw   H'08'

;; 304 :       RETLW   0b_00000010  --  0x6F   111   o
  retlw   H'02'

;; 305 :       RETLW   0b_00000010  --  0x70   112   p
  retlw   H'02'

;; 306 :       RETLW   0b_00000010  --  0x71   113   q
  retlw   H'02'

;; 307 :       RETLW   0b_00001010  --  0x72   114   r
  retlw   H'0A'

;; 308 :       RETLW   0b_00010010  --  0x73   115   s
  retlw   H'12'

;; 309 :       RETLW   0b_00000000  --  0x74   116   t
  retlw   H'00'

;; 310 :       RETLW   0b_00000000  --  0x75   117   u
  retlw   H'00'

;; 311 :       RETLW   0b_00000100  --  0x76   118   v
  retlw   H'04'

;; 312 :       RETLW   0b_00010100  --  0x77   119   w
  retlw   H'14'

;; 313 :       RETLW   0b_10110100  --  0x78   120   x
  retlw   H'B4'

;; 314 :       RETLW   0b_01000010  --  0x79   121   y
  retlw   H'42'

;; 315 :       RETLW   0b_00000100  --  0x7A   122   z
  retlw   H'04'

;; 316 :       RETLW   0b_10010000  --  0x7B   123   {
  retlw   H'90'

;; 317 :       RETLW   0b_01001000  --  0x7C   124   |
  retlw   H'48'

;; 318 :       RETLW   0b_00100110  --  0x7D   125   }
  retlw   H'26'

;; 319 :       RETLW   0b_00110000  --  0x7E   126   ~
  retlw   H'30'

;; 320 :       RETLW   0b_11111111  --  0x7F   127   (del)          
  retlw   H'FF'
e_9518_mdm_lookup_b: ; 0279
  return  
_8821__vector: ; 027A

;; 034 : function mdm_lookup_a( byte in c ) return byte is
; var H'042:000' c
p_8821_mdm_lookup_a: ; 027A
  movwf   H'42'

;; 036 :       local table_start
; const H'283' table_start

;; 037 :       hpage table_start  
  movlw   H'02'

;; 038 :       movwf PCLATH
  movwf   H'0A'

;; 040 :       movfw PCL
  movf    H'02',w

;; 041 :       addlw 5
  addlw   H'05'

;; 042 :       addwf c, w
  addwf   H'42',w

;; 043 :       skpnc
  skpnc   

;; 044 :          incf PCLATH, f
  incf    H'0A',f

;; 045 :       movwf PCL
  movwf   H'02'

;; 046 :    table_start:
as_8839_table_start: ; 0283

;; 048 :       RETLW   0b_00000000  --  0x00   000   blank 
  retlw   H'00'

;; 049 :       RETLW   0b_11100010  --  0x01   001   o (degree)
  retlw   H'E2'

;; 050 :       RETLW   0b_00011110  --  0x02   002   o (lower case o) 
  retlw   H'1E'

;; 051 :       RETLW   0b_01000010  --  0x03   003   ohm 
  retlw   H'42'

;; 052 :       RETLW   0b_00011100  --  0x04   004   u 
  retlw   H'1C'

;; 053 :       RETLW   0b_01001010  --  0x05   005   # (pound) 
  retlw   H'4A'

;; 054 :       RETLW   0b_00010110  --  0x06   006   m 
  retlw   H'16'

;; 055 :       RETLW   0b_00000000  --  0x07   007   blank 
  retlw   H'00'

;; 056 :       RETLW   0b_00000000  --  0x08   008   blank 
  retlw   H'00'

;; 057 :       RETLW   0b_00000000  --  0x09   009   blank 
  retlw   H'00'

;; 058 :       RETLW   0b_00000000  --  0x0A   010   blank 
  retlw   H'00'

;; 059 :       RETLW   0b_00000000  --  0x0B   011   blank 
  retlw   H'00'

;; 060 :       RETLW   0b_00000000  --  0x0C   012   blank 
  retlw   H'00'

;; 061 :       RETLW   0b_00000000  --  0x0D   013   blank 
  retlw   H'00'

;; 062 :       RETLW   0b_00000000  --  0x0E   014   blank 
  retlw   H'00'

;; 063 :       RETLW   0b_00000000  --  0x0F   015   blank 
  retlw   H'00'

;; 064 :       RETLW   0b_00000000  --  0x10   016   blank 
  retlw   H'00'

;; 065 :       RETLW   0b_00000000  --  0x11   017   blank 
  retlw   H'00'

;; 066 :       RETLW   0b_00000000  --  0x12   018   blank 
  retlw   H'00'

;; 067 :       RETLW   0b_00000000  --  0x13   019   blank 
  retlw   H'00'

;; 068 :       RETLW   0b_00000000  --  0x14   020   blank 
  retlw   H'00'

;; 069 :       RETLW   0b_00000000  --  0x15   021   blank 
  retlw   H'00'

;; 070 :       RETLW   0b_00000000  --  0x16   022   blank 
  retlw   H'00'

;; 071 :       RETLW   0b_00000000  --  0x17   023   blank 
  retlw   H'00'

;; 072 :       RETLW   0b_00000000  --  0x18   024   blank 
  retlw   H'00'

;; 073 :       RETLW   0b_00000000  --  0x19   025   blank 
  retlw   H'00'

;; 074 :       RETLW   0b_00000000  --  0x1A   026   blank 
  retlw   H'00'

;; 075 :       RETLW   0b_00000000  --  0x1B   027   blank 
  retlw   H'00'

;; 076 :       RETLW   0b_00000000  --  0x1C   028   blank 
  retlw   H'00'

;; 077 :       RETLW   0b_00000000  --  0x1D   029   blank 
  retlw   H'00'

;; 078 :       RETLW   0b_00000000  --  0x1E   030   blank 
  retlw   H'00'

;; 079 :       RETLW   0b_00000000  --  0x1F   031   blank 
  retlw   H'00'

;; 080 :       RETLW   0b_00000000  --  0x20   032   space
  retlw   H'00'

;; 081 :       RETLW   0b_00001000  --  0x21   033   !
  retlw   H'08'

;; 082 :       RETLW   0b_00100000  --  0x22   034   "
  retlw   H'20'

;; 083 :       RETLW   0b_00110010  --  0x23   035   #
  retlw   H'32'

;; 084 :       RETLW   0b_01111010  --  0x24   036   $
  retlw   H'7A'

;; 085 :       RETLW   0b_00110010  --  0x25   037   %
  retlw   H'32'

;; 086 :       RETLW   0b_00101110  --  0x26   038   &
  retlw   H'2E'

;; 087 :       RETLW   0b_00000000  --  0x27   039   '
  retlw   H'00'

;; 088 :       RETLW   0b_00000000  --  0x28   040   (
  retlw   H'00'

;; 089 :       RETLW   0b_00000000  --  0x29   041   )
  retlw   H'00'

;; 090 :       RETLW   0b_00000010  --  0x2A   042   *
  retlw   H'02'

;; 091 :       RETLW   0b_00000010  --  0x2B   043   +        
  retlw   H'02'

;; 092 :       RETLW   0b_00000000  --  0x2C   044   , (clears dots)
  retlw   H'00'

;; 093 :       RETLW   0b_00000010  --  0x2D   045   -
  retlw   H'02'

;; 094 :       RETLW   0b_00000001  --  0x2E   046   .
  retlw   H'01'

;; 095 :       RETLW   0b_00000000  --  0x2F   047   /
  retlw   H'00'

;; 096 :       RETLW   0b_11111100  --  0x30   048   0     
  retlw   H'FC'

;; 097 :       RETLW   0b_10010000  --  0x31   049   1
  retlw   H'90'

;; 098 :       RETLW   0b_11001110  --  0x32   050   2
  retlw   H'CE'

;; 099 :       RETLW   0b_11011000  --  0x33   051   3
  retlw   H'D8'

;; 100 :       RETLW   0b_10110010  --  0x34   052   4    
  retlw   H'B2'

;; 101 :       RETLW   0b_01111010  --  0x35   053   5
  retlw   H'7A'

;; 102 :       RETLW   0b_01111110  --  0x36   054   6
  retlw   H'7E'

;; 103 :       RETLW   0b_11010000  --  0x37   055   7
  retlw   H'D0'

;; 104 :       RETLW   0b_11111110  --  0x38   056   8
  retlw   H'FE'

;; 105 :       RETLW   0b_11111010  --  0x39   057   9
  retlw   H'FA'

;; 106 :       RETLW   0b_00000000  --  0x3A   058   :
  retlw   H'00'

;; 107 :       RETLW   0b_00000001  --  0x3B   059   ;
  retlw   H'01'

;; 108 :       RETLW   0b_00000000  --  0x3C   060   <
  retlw   H'00'

;; 109 :       RETLW   0b_00001010  --  0x3D   061   =
  retlw   H'0A'

;; 110 :       RETLW   0b_00000000  --  0x3E   062   >
  retlw   H'00'

;; 111 :       RETLW   0b_11100001  --  0x3F   063   ?
  retlw   H'E1'

;; 112 :       RETLW   0b_11101100  --  0x40   064   @
  retlw   H'EC'

;; 113 :       RETLW   0b_11110110  --  0x41   065   A    
  retlw   H'F6'

;; 114 :       RETLW   0b_11011000  --  0x42   066   B
  retlw   H'D8'

;; 115 :       RETLW   0b_01101100  --  0x43   067   C
  retlw   H'6C'

;; 116 :       RETLW   0b_11011000  --  0x44   068   D
  retlw   H'D8'

;; 117 :       RETLW   0b_01101110  --  0x45   069   E
  retlw   H'6E'

;; 118 :       RETLW   0b_01100110  --  0x46   070   F
  retlw   H'66'

;; 119 :       RETLW   0b_01111100  --  0x47   071   G
  retlw   H'7C'

;; 120 :       RETLW   0b_10110110  --  0x48   072   H
  retlw   H'B6'

;; 121 :       RETLW   0b_01001000  --  0x49   073   I
  retlw   H'48'

;; 122 :       RETLW   0b_10011100  --  0x4A   074   J
  retlw   H'9C'

;; 123 :       RETLW   0b_00100110  --  0x4B   075   K
  retlw   H'26'

;; 124 :       RETLW   0b_00101100  --  0x4C   076   L
  retlw   H'2C'

;; 125 :       RETLW   0b_10110100  --  0x4D   077   M
  retlw   H'B4'

;; 126 :       RETLW   0b_10110100  --  0x4E   078   N
  retlw   H'B4'

;; 127 :       RETLW   0b_11111100  --  0x4F   079   O
  retlw   H'FC'

;; 128 :       RETLW   0b_11100110  --  0x50   080   P
  retlw   H'E6'

;; 129 :       RETLW   0b_11111100  --  0x51   081   Q
  retlw   H'FC'

;; 130 :       RETLW   0b_11100110  --  0x52   082   R
  retlw   H'E6'

;; 131 :       RETLW   0b_01111010  --  0x53   083   S
  retlw   H'7A'

;; 132 :       RETLW   0b_01000000  --  0x54   084   T
  retlw   H'40'

;; 133 :       RETLW   0b_10111100  --  0x55   085   U
  retlw   H'BC'

;; 134 :       RETLW   0b_00100100  --  0x56   086   V
  retlw   H'24'

;; 135 :       RETLW   0b_10111100  --  0x57   087   W
  retlw   H'BC'

;; 136 :       RETLW   0b_00000000  --  0x58   088   X
  retlw   H'00'

;; 137 :       RETLW   0b_00000000  --  0x59   089   Y
  retlw   H'00'

;; 138 :       RETLW   0b_01001000  --  0x5A   090   Z
  retlw   H'48'

;; 139 :       RETLW   0b_01101100  --  0x5B   091   [
  retlw   H'6C'

;; 140 :       RETLW   0b_00000000  --  0x5C   092   \
  retlw   H'00'

;; 141 :       RETLW   0b_11011000  --  0x5D   093   ]
  retlw   H'D8'

;; 142 :       RETLW   0b_00000000  --  0x5E   094   ^
  retlw   H'00'

;; 143 :       RETLW   0b_00001000  --  0x5F   095   _
  retlw   H'08'

;; 144 :       RETLW   0b_00000000  --  0x60   096   `
  retlw   H'00'

;; 145 :       RETLW   0b_11110110  --  0x61   097   a
  retlw   H'F6'

;; 146 :       RETLW   0b_00111110  --  0x62   098   b
  retlw   H'3E'

;; 147 :       RETLW   0b_00001110  --  0x63   099   c
  retlw   H'0E'

;; 148 :       RETLW   0b_10011110  --  0x64   100   d
  retlw   H'9E'

;; 149 :       RETLW   0b_11101110  --  0x65   101   e
  retlw   H'EE'

;; 150 :       RETLW   0b_01100110  --  0x66   102   f
  retlw   H'66'

;; 151 :       RETLW   0b_11111010  --  0x67   103   g
  retlw   H'FA'

;; 152 :       RETLW   0b_00100110  --  0x68   104   h
  retlw   H'26'

;; 153 :       RETLW   0b_00001010  --  0x69   105   i
  retlw   H'0A'

;; 154 :       RETLW   0b_10011000  --  0x6A   106   j
  retlw   H'98'

;; 155 :       RETLW   0b_00100110  --  0x6B   107   k
  retlw   H'26'

;; 156 :       RETLW   0b_00100100  --  0x6C   108   l
  retlw   H'24'

;; 157 :       RETLW   0b_00010110  --  0x6D   109   m
  retlw   H'16'

;; 158 :       RETLW   0b_00000110  --  0x6E   110   n
  retlw   H'06'

;; 159 :       RETLW   0b_00011110  --  0x6F   111   o
  retlw   H'1E'

;; 160 :       RETLW   0b_11100110  --  0x70   112   p
  retlw   H'E6'

;; 161 :       RETLW   0b_11110010  --  0x71   113   q
  retlw   H'F2'

;; 162 :       RETLW   0b_00000000  --  0x72   114   r
  retlw   H'00'

;; 163 :       RETLW   0b_00001000  --  0x73   115   s
  retlw   H'08'

;; 164 :       RETLW   0b_00101110  --  0x74   116   t
  retlw   H'2E'

;; 165 :       RETLW   0b_00011100  --  0x75   117   u
  retlw   H'1C'

;; 166 :       RETLW   0b_00000100  --  0x76   118   v
  retlw   H'04'

;; 167 :       RETLW   0b_00010100  --  0x77   119   w
  retlw   H'14'

;; 168 :       RETLW   0b_00000000  --  0x78   120   x
  retlw   H'00'

;; 169 :       RETLW   0b_10010000  --  0x79   121   y
  retlw   H'90'

;; 170 :       RETLW   0b_00001010  --  0x7A   122   z
  retlw   H'0A'

;; 171 :       RETLW   0b_00000010  --  0x7B   123   {
  retlw   H'02'

;; 172 :       RETLW   0b_00000000  --  0x7C   124   |
  retlw   H'00'

;; 173 :       RETLW   0b_00000000  --  0x7D   125   }
  retlw   H'00'

;; 174 :       RETLW   0b_00110000  --  0x7E   126   ~
  retlw   H'30'

;; 175 :       RETLW   0b_11111111  --  0x7F   127   (del)      
  retlw   H'FF'
e_8821_mdm_lookup_a: ; 0303
  return  
_8734__vector: ; 0304

;; 247 : procedure mdm_all( bit in x ) is
; var H'023:002' x
p_8734_mdm_all: ; 0304

;; 248 :    var byte v
; var H'036:000' v
  bcf     H'0A',3
  bcf     H'0A',4

;; 249 :    if x then 
  btfss   H'23',2
  goto    if_8746_el
if_8746_th: ; 0308

;; 250 :       v = 0b_1111_1111
  movlw   H'FF'
  movwf   H'36'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    if_8746_by
if_8746_el: ; 030D

;; 252 :       v = 0b_0000_0000
  clrf    H'36'
if_8746_by: ; 030E

;; 254 :    mdm_segments_1a = v
  movf    H'36',w
  movwf   H'2B'

;; 255 :    mdm_segments_1b = v
  movf    H'36',w
  movwf   H'2C'

;; 256 :    mdm_segments_2a = v
  movf    H'36',w
  movwf   H'2D'

;; 257 :    mdm_segments_2b = v
  movf    H'36',w
  movwf   H'2E'

;; 258 :    mdm_segments_3a = v
  movf    H'36',w
  movwf   H'2F'

;; 259 :    mdm_segments_3b = v
  movf    H'36',w
  movwf   H'30'

;; 260 :    mdm_segments_4a = v
  movf    H'36',w
  movwf   H'31'

;; 261 :    mdm_segments_4b = v
  movf    H'36',w
  movwf   H'32'

;; 262 :    mdm_segments_5a = v
  movf    H'36',w
  movwf   H'33'

;; 263 :    mdm_segments_5b = v   
  movf    H'36',w
  movwf   H'34'
  bcf     H'0A',3
  bcf     H'0A',4

;; 264 :    if mdm_auto_update then 
  btfss   H'23',1
  goto    if_8803_by
if_8803_th: ; 0326

;; 265 :       mdm_update_from_segments
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8495__vector
if_8803_by: ; 0329
e_8734_mdm_all: ; 0329
  return  
_8495__vector: ; 032A
p_8495_mdm_update_from_segments: ; 032A

;; 228 :     mdm_output_byte( 8, mdm_segments_5a )
  movlw   H'08'
  movwf   H'41'
  movf    H'33',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 229 :     mdm_output_byte( 8, mdm_segments_4a )
  movlw   H'08'
  movwf   H'41'
  movf    H'31',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 230 :     mdm_output_byte( 8, mdm_segments_3a )
  movlw   H'08'
  movwf   H'41'
  movf    H'2F',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 231 :     mdm_output_byte( 8, mdm_segments_2a )
  movlw   H'08'
  movwf   H'41'
  movf    H'2D',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 232 :     mdm_output_byte( 8, mdm_segments_1a )    
  movlw   H'08'
  movwf   H'41'
  movf    H'2B',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 233 :     mdm_output_byte( 3, 0x00 )     
  movlw   H'03'
  movwf   H'41'
  movlw   H'00'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 234 :     mdm_pin_load = high
  bsf     H'2A',2
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6122__vector

;; 235 :     mdm_pin_load = low    
  bcf     H'2A',2
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6122__vector

;; 237 :     mdm_output_byte( 8, mdm_segments_5b )
  movlw   H'08'
  movwf   H'41'
  movf    H'34',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 238 :     mdm_output_byte( 8, mdm_segments_4b )
  movlw   H'08'
  movwf   H'41'
  movf    H'32',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 239 :     mdm_output_byte( 8, mdm_segments_3b )
  movlw   H'08'
  movwf   H'41'
  movf    H'30',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 240 :     mdm_output_byte( 8, mdm_segments_2b )
  movlw   H'08'
  movwf   H'41'
  movf    H'2E',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 241 :     mdm_output_byte( 8, mdm_segments_1b )
  movlw   H'08'
  movwf   H'41'
  movf    H'2C',w
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 242 :     mdm_output_byte( 3, 0x20 )                    
  movlw   H'03'
  movwf   H'41'
  movlw   H'20'
  bcf     H'0A',3
  bcf     H'0A',4
  call    _8439__vector

;; 243 :     mdm_pin_load = high    
  bsf     H'2A',2
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6122__vector

;; 244 :     mdm_pin_load = low
  bcf     H'2A',2
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _6122__vector
e_8495_mdm_update_from_segments: ; 0382
_8439__vector: ; 0382

;; 216 : procedure mdm_output_byte( byte in n, byte in x ) is 
; var H'041:000' n
; var H'042:000' x
p_8439_mdm_output_byte: ; 0382
  movwf   H'42'

;; 217 :    var bit x7 at x : 7
; var H'042:007' x7

;; 218 :    for n loop
; var H'043:000' _loop_temp_8464
  movf    H'41',w
  movwf   H'43'
w_13417_ag: ; 0385
  movf    H'43',f
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'03',2
  goto    w_13417_bo
w_13417_jb: ; 038A
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_13417_be
w_13417_bo: ; 038D

;; 219 :       mdm_pin_data = x7
  bcf     H'2A',4
  bcf     H'0A',3
  bcf     H'0A',4
  btfss   H'42',7
  goto    ass_13389_f
ass_13389_t: ; 0392
  bsf     H'2A',4
ass_13389_f: ; 0393
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6180__vector

;; 220 :       mdm_pin_clock = high
  bsf     H'2A',5
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6209__vector

;; 221 :       x = x << 1
  clrc    
  rlf     H'42',f

;; 222 :       mdm_pin_clock = low
  bcf     H'2A',5
  bcf     H'0A',3
  bcf     H'0A',4
  call    _6209__vector

  decf    H'43',f
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_13417_ag
w_13417_be: ; 03A4
e_8439_mdm_output_byte: ; 03A4
  return  

;; 716 : procedure pin_b5'put( bit in x at _port_b_buffer : 5 ) is
p_6209__pin_b5__put_t: ; 03A5
_6209__vector: ; 03A5
; var H'02A:005' x
p_6209_put: ; 03A5

;; 717 :    _port_b_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _5059__vector
e_6209_put: ; 03A8

;; 713 : procedure pin_b4'put( bit in x at _port_b_buffer : 4 ) is
p_6180__pin_b4__put_t: ; 03A8
_6180__vector: ; 03A8
; var H'02A:004' x
p_6180_put: ; 03A8

;; 714 :    _port_b_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _5059__vector
e_6180_put: ; 03AB

;; 707 : procedure pin_b2'put( bit in x at _port_b_buffer : 2 ) is
p_6122__pin_b2__put_t: ; 03AB
_6122__vector: ; 03AB
; var H'02A:002' x
p_6122_put: ; 03AB

;; 708 :    _port_b_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _5059__vector
e_6122_put: ; 03AE
_5059__vector: ; 03AE
p_5059__port_b_flush: ; 03AE

;; 590 :    var volatile byte port_b at 6 = _port_b_buffer
; var H'006:000' port_b
  movf    H'2A',w
  movwf   H'06'
e_5059__port_b_flush: ; 03B0
  return  

;; 478 : procedure pin_d7_direction'put( bit in d at trisd : 7 ) is
p_4118__pin_d7_direction__put_t: ; 03B1
_4118__vector: ; 03B1
; var H'028:007' d
p_4118_put: ; 03B1

;; 479 :    _trisd_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _2807__vector
e_4118_put: ; 03B4

;; 475 : procedure pin_d6_direction'put( bit in d at trisd : 6 ) is
p_4089__pin_d6_direction__put_t: ; 03B4
_4089__vector: ; 03B4
; var H'028:006' d
p_4089_put: ; 03B4

;; 476 :    _trisd_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _2807__vector
e_4089_put: ; 03B7

;; 404 : procedure pin_b5_direction'put( bit in d at trisb : 5 ) is
p_3468__pin_b5_direction__put_t: ; 03B7
_3468__vector: ; 03B7
; var H'026:005' d
p_3468_put: ; 03B7

;; 405 :    _trisb_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _2761__vector
e_3468_put: ; 03BA

;; 401 : procedure pin_b4_direction'put( bit in d at trisb : 4 ) is
p_3439__pin_b4_direction__put_t: ; 03BA
_3439__vector: ; 03BA
; var H'026:004' d
p_3439_put: ; 03BA

;; 402 :    _trisb_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _2761__vector
e_3439_put: ; 03BD

;; 395 : procedure pin_b2_direction'put( bit in d at trisb : 2 ) is
p_3381__pin_b2_direction__put_t: ; 03BD
_3381__vector: ; 03BD
; var H'026:002' d
p_3381_put: ; 03BD

;; 396 :    _trisb_flush
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _2761__vector
e_3381_put: ; 03C0
_2807__vector: ; 03C0
p_2807__trisd_flush: ; 03C0

;; 318 :    asm movfw trisd
  movf    H'28',w

;; 319 :    bank_1
  bcf     H'0A',3
  bcf     H'0A',4
  call    _2365__vector

;; 320 :    asm movwf 0x8
  movwf   H'08'

;; 321 :    bank_0
  bcf     H'0A',3
  bcf     H'0A',4
  goto    _2328__vector
e_2807__trisd_flush: ; 03C8
_2761__vector: ; 03C8
p_2761__trisb_flush: ; 03C8

;; 305 :       bank movfw trisb
  movf    H'26',w

;; 306 :            tris  6
  tris    H'06'
e_2761__trisb_flush: ; 03CA
  return  
_2365__vector: ; 03CB
p_2365_bank_1: ; 03CB

;; 208 :       asm bsf status, 5
  bsf     H'03',5

;; 209 :       asm bcf status, 6
  bcf     H'03',6
e_2365_bank_1: ; 03CD
  return  
_2328__vector: ; 03CE
p_2328_bank_0: ; 03CE

;; 200 :       asm bcf status, 5
  bcf     H'03',5

;; 201 :       asm bcf status, 6
  bcf     H'03',6
e_2328_bank_0: ; 03D0
  return  
_702__vector: ; 03D1

;; 078 : operator % ( byte in a, byte in b ) return byte is
; var H'03D:000' a
; var H'03E:000' b
p_702_remainder: ; 03D1
; var H'03F:000'  return value

;; 079 :    if b != 0 then
  movf    H'3E',f
  bcf     H'0A',3
  bcf     H'0A',4
  btfsc   H'03',2
  goto    if_717_by
if_717_th: ; 03D6

;; 080 :       while a >= b loop
w_734_ag: ; 03D6
  movf    H'3E',w
  subwf   H'3D',w
  bcf     H'0A',3
  bcf     H'0A',4
  btfsc   H'03',0
  goto    w_734_bo
w_734_jb: ; 03DC
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_734_be
w_734_bo: ; 03DF

;; 081 :          a = a - b
  movf    H'3E',w
  subwf   H'3D',w
  movwf   H'3D'
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_734_ag
w_734_be: ; 03E5
if_717_by: ; 03E5

;; 084 :    return a
  movf    H'3D',w
  movwf   H'3F'
e_702_remainder: ; 03E7
  return  
_639__vector: ; 03E8

;; 067 : operator / ( byte in a, byte in b ) return byte is
; var H'03D:000' a
; var H'03E:000' b
p_639_divide: ; 03E8
; var H'03F:000'  return value

;; 068 :    var byte d = 0
; var H'040:000' d
  clrf    H'40'

;; 069 :    if b != 0 then
  movf    H'3E',f
  bcf     H'0A',3
  bcf     H'0A',4
  btfsc   H'03',2
  goto    if_663_by
if_663_th: ; 03EE

;; 070 :       while a >= b loop
w_688_ag: ; 03EE
  movf    H'3E',w
  subwf   H'3D',w
  bcf     H'0A',3
  bcf     H'0A',4
  btfsc   H'03',0
  goto    w_688_bo
w_688_jb: ; 03F4
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_688_be
w_688_bo: ; 03F7

;; 071 :          a = a - b
  movf    H'3E',w
  subwf   H'3D',w
  movwf   H'3D'

;; 072 :          d = d + 1
  incf    H'40',f
  bcf     H'0A',3
  bcf     H'0A',4
  goto    w_688_ag
w_688_be: ; 03FE
if_663_by: ; 03FE

;; 075 :    return d
  movf    H'40',w
  movwf   H'3F'
e_639_divide: ; 0400
  return  

 END

; ********** variable mapping
; 02:0 : ;
;   pcl                            * 0039:19 jpic.jal 
; 03:0 : ;
;   status                         * 0040:19 jpic.jal 
; 03:5 : ;
;   status_rp0                     * 0130:19 jpic.jal 
; 06:0 : ;
;   port_b                         * 0590:22 jpic.jal 
; 08:0 : ;
;   port_d                         * 0045:19 jpic.jal 
; 08:6 : ;
;   start_stop                     * 0050:18 timer.jal 
;   pin_d6                         * 0117:19 jpic.jal 
; 08:7 : ;
;   reset                          * 0052:18 timer.jal 
;   pin_d7                         * 0118:19 jpic.jal 
; 0A:0 : ;
;   pclath                         * 0049:19 jpic.jal 
; 0B:0 : ;
;   intcon                         * 0050:19 jpic.jal 
; 0B:6 : ;
;   intcon_peie                    * 0137:19 jpic.jal 
; 0B:7 : ;
;   intcon_gie                     * 0135:19 jpic.jal 
; 0C:0 : ;
;   tmr1if                         * 0159:19 jpic.jal 
;   f877_pir1                      * 0060:19 jpic.jal 
; 0E:0 : ;
;   f877_tmr1l                     * 0052:19 jpic.jal 
; 0F:0 : ;
;   f877_tmr1h                     * 0053:19 jpic.jal 
; 10:0 : ;
;   tmr1on                         * 0151:19 jpic.jal 
;   f877_t1con                     * 0054:19 jpic.jal 
; 23:0 : ;
;    transfer_bit                    
; 23:1 : ;
;   mdm_auto_update                  0088:09 mdm.jal 
; 23:2 : ;
;   x                                0247:20 mdm.jal 
; 24:0 : ;
;    transfer_byte                   
; 25:0 : ;
;   trisa                            0276:10 jpic.jal 
; 26:0 : ;
;   trisb                            0277:10 jpic.jal 
; 26:2 : ;
;   d                              * 0395:33 jpic.jal 
; 26:4 : ;
;   d                              * 0401:33 jpic.jal 
; 26:5 : ;
;   d                              * 0404:33 jpic.jal 
; 27:0 : ;
;   trisc                            0278:10 jpic.jal 
; 28:0 : ;
;   trisd                            0279:10 jpic.jal 
; 28:6 : ;
;   d                              * 0475:33 jpic.jal 
; 28:7 : ;
;   d                              * 0478:33 jpic.jal 
; 29:0 : ;
;   trise                            0280:10 jpic.jal 
; 2A:0 : ;
;   _port_b_buffer                   0581:10 jpic.jal 
; 2A:2 : ;
;   x                              * 0707:23 jpic.jal 
; 2A:4 : ;
;   x                              * 0713:23 jpic.jal 
; 2A:5 : ;
;   x                              * 0716:23 jpic.jal 
; 2B:0 : ;
;   mdm_segments_1a                  0091:10 mdm.jal 
; 2C:0 : ;
;   mdm_segments_1b                  0091:27 mdm.jal 
; 2D:0 : ;
;   mdm_segments_2a                  0092:10 mdm.jal 
; 2E:0 : ;
;   mdm_segments_2b                  0092:27 mdm.jal 
; 2F:0 : ;
;   mdm_segments_3a                  0093:10 mdm.jal 
; 30:0 : ;
;   mdm_segments_3b                  0093:27 mdm.jal 
; 31:0 : ;
;   mdm_segments_4a                  0094:10 mdm.jal 
; 32:0 : ;
;   mdm_segments_4b                  0094:27 mdm.jal 
; 33:0 : ;
;   mdm_segments_5a                  0095:10 mdm.jal 
; 34:0 : ;
;   mdm_segments_5b                  0095:27 mdm.jal 
; 35:0 : ;
;   mdm_cursor_position              0205:10 mdm.jal 
; 36:0 : ;
;   v                                0248:13 mdm.jal 
;   t_ms                             0042:10 timer.jal 
; 37:0 : ;
;   t_s                              0042:21 timer.jal 
; 38:0 : ;
;   t_mn                             0042:31 timer.jal 
; 39:0 : ;
;   t_h                              0042:42 timer.jal 
; 3A:0 : ;
;   tics                             0043:10 timer.jal 
; 3A:1 : ;
;   tic_s                          * 0045:18 timer.jal 
; 3B:0 : ;
;   c                                0344:24 mdm.jal 
;   c                                0347:24 mdm.jal 
;   c                                0350:24 mdm.jal 
;   c                                0353:24 mdm.jal 
;   c                                0356:24 mdm.jal 
;   x                                0402:23 jdelay.jal 
; 3C:0 : ;
;   x                                0230:25 jdelay.jal 
;   sq_temp_13229                    
;   sq_temp_13210                    
;   sq_temp_13178                    
;   sq_temp_13159                    
; 3D:0 : ;
;   a                                0067:14 jal rtl 
;   a                                0078:14 jal rtl 
;   p                                0273:24 mdm.jal 
;   y                                0230:36 jdelay.jal 
; 3E:0 : ;
;   b                                0067:25 jal rtl 
;   b                                0078:25 jal rtl 
;   c                                0273:35 mdm.jal 
;   z                                0230:47 jdelay.jal 
; 3F:0 : ;
;    return value                    0067:10 jal rtl 
;    return value                    0078:10 jal rtl 
;   segments_a                       0274:13 mdm.jal 
;   minus_one                        0284:16 jdelay.jal 
; 40:0 : ;
;   d                                0068:13 jal rtl 
;   segments_b                       0274:25 mdm.jal 
;   xx                               0286:16 jdelay.jal 
; 41:0 : ;
;   n                                0216:28 mdm.jal 
;   a                                0304:16 mdm.jal 
;   yy                               0286:20 jdelay.jal 
; 42:0 : ;
;   x                                0216:39 mdm.jal 
;   c                                0034:24 mdm_segs.jal 
;   b                                0305:16 mdm.jal 
; 42:7 : ;
;   x7                             * 0217:12 mdm.jal 
; 43:0 : ;
;   _loop_temp_8464                  0218:04 mdm.jal 
;   c                                0179:24 mdm_segs.jal 
; 8C:0 : ;
;   tmr1ie                         * 0158:19 jpic.jal 
;   f877_pie1                      * 0062:19 jpic.jal 

